apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: opensearch-credentials
  namespace: historical-importer-onprem
spec:
  target:
    name: opensearch-credentials
    deletionPolicy: Delete
    template:
      type: Opaque
      data:
        historicalWriteUser: "{{ .OpenSearchUser}}"
        historicalWritePwd: "{{ .OpenSearchPassword}}"
  data:
    - secretKey: OpenSearchUser
      sourceRef:
        storeRef:
          name: bitwarden-fields
          kind: ClusterSecretStore # or SecretStore
      remoteRef:
        key: historical-importer
        property: OpenSearchUser
    - secretKey: OpenSearchPassword
      sourceRef:
        storeRef:
          name: bitwarden-fields
          kind: ClusterSecretStore # or SecretStore
      remoteRef:
        key: historical-importer
        property: OpenSearchPassword
  refreshInterval: 2m
